EDIT - task #9886

Create cdmlib modul cdmlib-api
11/26/2021 02:44 PM - Andreas Muller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 10%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

This modul in future will hold all classes and resources required for using cdmlib in a loosely coupled way.

However, doing so is not easy and in a first step we will move all DTOs and maybe also servcies used by persistence and service
into the modul and put it between model and persistence. So we still have a dependency to model which is not so nice because
cdmlib-model has a lot of dependencies due to annotations.

So further steps are needed.

Related issues:
Related to EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depend... Closed
Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New

Associated revisions

Revision b68853e5 - 11/26/2021 03:05 PM - Andreas Miiller

ref #9886 first implementation for cdmlib-api with only UuidAndTitleCache moved to new module

Revision 3a9187cb - 11/26/2021 04:57 PM - Andreas Miiller
ref #9886 adapt taxeditor to cdmlib-api changes

Revision 58400774 - 11/26/2021 05:44 PM - Andreas Miiller
ref #9886 adapt taxeditor to cdmlib-api changes (cont.)

History

#1 - 11/26/2021 06:10 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 10

A first implementation with moving UuidAndTitleCache to the new module has been implement. Vaadin and TaxEditor build correctly but please check
also if everything works as expected.

Currently it still uses the same package as before eu.etaxonomy.cdm.persistence.dto but in future this may change to something like
eu.etaxonomy.cdm.dto or eu.etaxonomy.cdm.api.dto. This is only to not change to much in one step.

#2 - 12/15/2021 10:32 PM - Andreas Miiller
- Related to task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#3 - 12/27/2022 03:36 PM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added
